### Method

# Ide Debugger emit_log

#### Declaration

    void
    ide_debugger_emit_log (
      IdeDebugger* self,
      IdeDebuggerStream stream,
      GBytes* content
    )

#### Description

Emits the “log” signal.

Debugger implementations should use this to notify any listeners that incoming log information has been recieved.

Use the `IdeDebuggerStream` to denote the particular stream.

Available since: | 3.32

#### Parameters

`stream` | `IdeDebuggerStream`
| No description available.
`content` | `GBytes`
| No description available.
| The data is owned by the caller of the function.